#!/usr/bin/env python3

from sys import exit
from math import sqrt, floor

"""
A program that loads one integer n, a digit d, and
two nonnegative integers a and b such that a>b,
verifies that the input satisfies these conditions,
and prints the largest integer x such that:
1. 0≤x≤n,
2. x is a perfect square of some integer
   (i.e., there exists y∈Z such that x=y2),
3. the last digit of x is d,
4. the remainder of the division of x by a is equal to b.
If there is no such number, the program prints
an appropriate message.
"""

n = int(input("n = "))
d = int(input("d = "))
a = int(input("a = "))
b = int(input("b = "))

if not (0 <= d <= 9 and a > b >= 0):
    print("The input is faulty.")
    # This stops the program execution, to avoid putting
    # all of the rest of the code inside `else`.
    # It requires the above `import` line and a nonnegative
    # integer argument (the zero would mean "exiting after
    # finishing the job successfully").
    exit(1)

max_x = None

for y in range(floor(sqrt(n))+1):
    x = y**2
    if x % 10 == d and x % a == b:
        max_x = x

if max_x is None:
    print("No such number exists!")
else:
    print("The desired number:", max_x)

