#!/usr/bin/env python3

"""
A program that loads a natural number n and prints how many ways are there
to write n as a sum of consecutive natural numbers (including the one-element
sum of n alone).
"""

n = int(input("n = "))

cnt = 0

for first in range(1, n+1):

    # Get the smallest sum `>= n` that starts from `first`
    sum_from_first = first
    k = first
    while sum_from_first < n:
        k += 1
        sum_from_first += k

    # Check that this sum is exactly `n` (and not more)
    if sum_from_first == n:
        cnt += 1
        # This part is not required by the problem at hand
        print("Found one:            ", end="")
        for i in range(first, k+1):
            if i > first:
                print("+", end="")
            print(i, end="")
        print()
        # A shorter version of the same output
        # (beyond what we've covered so far)
        print("Found one (Pythonic):", "+".join(str(x) for x in range(first, k+1)))

print("The number of such sums:", cnt)

