#!/usr/bin/env python3

"""
A program that loads a natural number and prints its
1. second digit from the left,
2. third digit from the right.
If the number doesn't have two/three digits, the respective digits are
considered to be zero.
"""

n = int(input("n = "))

# The second digit from the left can be obtained by removing all but two
# digits from the right and then taking the last one. The criterion is simple
# here: a nonnegative number has _at most_ two digits if it is <100.
# Don't forget the `abs`, since `n` is an integer (i.e., it can be negative).
t = abs(n)
if t < 10:
    # A nonnegative number `t` has less than two digits
    print("The number doesn't have the second digit from the left.")
else:
    while t > 99:
        # while `t` has more than two digits, remove the last one
        t //= 10
    # Now, only the leftmost two digits have remained; take the right one
    second_from_left = t % 10
    print("The second digit from the left:", second_from_left)

# The third digit from the right can be obtained by removing the last two
# digits and then taking the remaining last one.
# Here, we check the number of digits of `n`, to show that `abs` is
# not necessary for that check.
if -99 <= n <= 99:
    # An integer `n` has at most two digits
    third_from_right = 0
else:
    third_from_right = (abs(n) // 100) % 10

print("The third digit from the right:", third_from_right)
